Package com.independentsoft.email.mime

# Class MessageFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.independentsoft.email.mime.MessageFormatException

All Implemented Interfaces:
  `Serializable`

public class MessageFormatException extends RuntimeException
The exception that is thrown when load or parse message with wrong format.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageFormatException()`
  Initializes a new instance of the MessageFormatException class.
  `MessageFormatException​(String message)`
  Initializes a new instance of the MessageFormatException class with the specified error message.
  `MessageFormatException​(String message, Throwable innerException)`
  Initializes a new instance of the MessageFormatException class with the specified error message and inner exception.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MessageFormatException

    public MessageFormatException()
    Initializes a new instance of the MessageFormatException class.

  - ### MessageFormatException

    public MessageFormatException​(String message)
    Initializes a new instance of the MessageFormatException class with the specified error message.
    Parameters:
      `message` - Error description.

  - ### MessageFormatException

    public MessageFormatException​(String message, Throwable innerException)
    Initializes a new instance of the MessageFormatException class with the specified error message and inner exception.
    Parameters:
      `message` - The message that describes the error.
      `innerException` - The exception that is the cause of the current exception.